displayConfig:
  - name: "Work"
    requiredUsbDevices: # Group of USB devices that are required to be connected to the system. All devices in a group must be connected for the display config to be applied
      - require: all
        match: exact
        group:
          - "HP, Inc HP USB-C Universal Dock"

    requiredOutputs: # Group of outputs that are required to be connected to the system. All outputs in a group must be connected for the display config to be applied
      - group:
          - "eDP-1"
          - "DVI-I-1-1"
          - "DVI-I-2-2"
      - group:
          - "eDP-1"
          - "DVI-I-2-2"
          - "DVI-I-3-3"
    outputs: # The order of the outputs is important as it is linked to requiredOutputs
      - mode: "1920x1200"
        rotate: "normal"
        pos: "1200x1450"
        primary: true
      - mode: "1920x1200"
        rotate: "left"
        pos: "0x0"
      - mode: "1920x1200"
        rotate: "normal"
        pos: "1200x250"

  - name: "Home, Private Laptop"
    requiredUsbDevices:
      - require: all
        match: exact
        group:
          - "Lenovo ThinkPad USB-C Dock Audio"
    requiredOutputs:
      - group:
          - "eDP-1"
          - "DP-1-0.3"
          - "DP-1-0.1"
    outputs:
      - mode: "2560x1440"
        rotate: "normal"
        pos: "0x480"
        primary: true
      - mode: "3440x1440"
        rotate: "normal"
        pos: "2560x480"
      - mode: "1920x1200"
        rotate: "right"
        pos: "6000x0"

  - name: "Home, Work Laptop"
    requiredUsbDevices:
      - require: all
        match: exact
        group:
          - "Lenovo ThinkPad USB-C Dock Audio"
    requiredOutputs:
      - group:
          - "DP-3-3"
          - "eDP-1"
          - "DP-3-1"
      - group:
          - "DP-1-3"
          - "eDP-1"
          - "DP-1-1"
    outputs:
      - mode: "3440x1440"
        rotate: "normal"
        pos: "0x480"
      - mode: "1920x1200"
        rotate: "normal"
        pos: "3440x720"
        primary: true
      - mode: "1920x1200"
        rotate: "right"
        pos: "5360x0"
